use actix_web::{get, web, Responder, Result};

use crate::AppState;

#[get("")]
pub async fn route(data: web::Data<AppState>) -> Result<impl Responder> {
    info!("getting account numbers...");

    let bank = data.bank.read().unwrap();
    Ok(web::Json(bank.account_numbers()))
}
